# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#'Reshape matrix to array
#'
#'Function written in C++ for reshaping a matrix containing sequential data into
#'an array for use with keras.
#'
#'@param matrix \code{matrix} containing the sequential data.
#'@param times \code{uword} Number of sequences.
#'@param features \code{uword} Number of features within each sequence.
#'@return Returns an array. The first dimension corresponds to the cases,
#'the second to the times, and the third to the features.
#'
#'@import Rcpp
#'@useDynLib aifeducation, .registration = TRUE
#'@family Auxiliary Functions
#'@examples
#'#matrix has shape (batch,times*features)
#'matrix<-matrix(data=c(1,1,1,2,2,2,
#'                      2,2,2,3,3,3,
#'                      1,1,1,1,1,1),
#'               nrow=3,
#'               byrow=TRUE)
#'matrix
#'
#'#Transform matrix to a array
#'#array has shape (batch,times*features)
#'matrix_to_array_c(matrix=matrix,times=2,features=3)
#'@export
matrix_to_array_c <- function(matrix, times, features) {
    .Call(`_aifeducation_matrix_to_array_c`, matrix, times, features)
}

#'Transforming classes to one-hot encoding
#'
#'Function written in C++ transforming a vector of classes (int) into
#'a binary class matrix.
#'
#'@param class_vector \code{vector} containing integers for every class. The
#'integers must range from 0 to n_classes-1.
#'@param n_classes \code{int} Total number of classes.
#'@return Returns a \code{matrix} containing the binary representation for
#'every class.
#'
#'@import Rcpp
#'@useDynLib aifeducation, .registration = TRUE
#'@family Auxiliary Functions
#'@export
to_categorical_c <- function(class_vector, n_classes) {
    .Call(`_aifeducation_to_categorical_c`, class_vector, n_classes)
}

