% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aux_fct.R
\name{calc_standard_classification_measures}
\alias{calc_standard_classification_measures}
\title{Calculate standard classification measures}
\usage{
calc_standard_classification_measures(true_values, predicted_values)
}
\arguments{
\item{true_values}{\code{factor} containing the true labels/categories.}

\item{predicted_values}{\code{factor} containing the predicted labels/categories.}
}
\value{
Returns a matrix which contains the cases categories in the rows and
the measures (precision, recall, f1) in the columns.
}
\description{
Function for calculating recall, precision, and f1.
}
\seealso{
Other Auxiliary Functions: 
\code{\link{array_to_matrix}()},
\code{\link{check_embedding_models}()},
\code{\link{clean_pytorch_log_transformers}()},
\code{\link{create_iota2_mean_object}()},
\code{\link{create_synthetic_units}()},
\code{\link{generate_id}()},
\code{\link{get_coder_metrics}()},
\code{\link{get_folds}()},
\code{\link{get_n_chunks}()},
\code{\link{get_stratified_train_test_split}()},
\code{\link{get_synthetic_cases}()},
\code{\link{get_train_test_split}()},
\code{\link{is.null_or_na}()},
\code{\link{matrix_to_array_c}()},
\code{\link{split_labeled_unlabeled}()},
\code{\link{summarize_tracked_sustainability}()},
\code{\link{to_categorical_c}()}
}
\concept{Auxiliary Functions}
