% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aux_fct.R
\name{clean_pytorch_log_transformers}
\alias{clean_pytorch_log_transformers}
\title{Clean pytorch log of transformers}
\usage{
clean_pytorch_log_transformers(log)
}
\arguments{
\item{log}{\code{data.frame} containing the log.}
}
\value{
Returns a \code{data.frame} containing epochs, loss, and val_loss.
}
\description{
Function for preparing and cleaning the log created by an object of class Trainer
from the python library 'transformer's
}
\seealso{
Other Auxiliary Functions: 
\code{\link{array_to_matrix}()},
\code{\link{calc_standard_classification_measures}()},
\code{\link{check_embedding_models}()},
\code{\link{create_iota2_mean_object}()},
\code{\link{create_synthetic_units}()},
\code{\link{generate_id}()},
\code{\link{get_coder_metrics}()},
\code{\link{get_folds}()},
\code{\link{get_n_chunks}()},
\code{\link{get_stratified_train_test_split}()},
\code{\link{get_synthetic_cases}()},
\code{\link{get_train_test_split}()},
\code{\link{is.null_or_na}()},
\code{\link{matrix_to_array_c}()},
\code{\link{split_labeled_unlabeled}()},
\code{\link{summarize_tracked_sustainability}()},
\code{\link{to_categorical_c}()}
}
\concept{Auxiliary Functions}
\keyword{internal}
