% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aux_fct.R
\name{generate_id}
\alias{generate_id}
\title{Generate ID suffix for objects}
\usage{
generate_id(length = 16)
}
\arguments{
\item{length}{\code{int} determining the length of the id suffix.}
}
\value{
Returns a \code{string} of the requested length
}
\description{
Function for generating an ID suffix for objects of class
\link{TextEmbeddingModel} and \link{TextEmbeddingClassifierNeuralNet}.
}
\seealso{
Other Auxiliary Functions: 
\code{\link{array_to_matrix}()},
\code{\link{calc_standard_classification_measures}()},
\code{\link{check_embedding_models}()},
\code{\link{clean_pytorch_log_transformers}()},
\code{\link{create_iota2_mean_object}()},
\code{\link{create_synthetic_units}()},
\code{\link{get_coder_metrics}()},
\code{\link{get_folds}()},
\code{\link{get_n_chunks}()},
\code{\link{get_stratified_train_test_split}()},
\code{\link{get_synthetic_cases}()},
\code{\link{get_train_test_split}()},
\code{\link{is.null_or_na}()},
\code{\link{matrix_to_array_c}()},
\code{\link{split_labeled_unlabeled}()},
\code{\link{summarize_tracked_sustainability}()},
\code{\link{to_categorical_c}()}
}
\concept{Auxiliary Functions}
\keyword{internal}
