% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{to_categorical_c}
\alias{to_categorical_c}
\title{Transforming classes to one-hot encoding}
\usage{
to_categorical_c(class_vector, n_classes)
}
\arguments{
\item{class_vector}{\code{vector} containing integers for every class. The
integers must range from 0 to n_classes-1.}

\item{n_classes}{\code{int} Total number of classes.}
}
\value{
Returns a \code{matrix} containing the binary representation for
every class.
}
\description{
Function written in C++ transforming a vector of classes (int) into
a binary class matrix.
}
\seealso{
Other Auxiliary Functions: 
\code{\link{array_to_matrix}()},
\code{\link{calc_standard_classification_measures}()},
\code{\link{check_embedding_models}()},
\code{\link{clean_pytorch_log_transformers}()},
\code{\link{create_iota2_mean_object}()},
\code{\link{create_synthetic_units}()},
\code{\link{generate_id}()},
\code{\link{get_coder_metrics}()},
\code{\link{get_folds}()},
\code{\link{get_n_chunks}()},
\code{\link{get_stratified_train_test_split}()},
\code{\link{get_synthetic_cases}()},
\code{\link{get_train_test_split}()},
\code{\link{is.null_or_na}()},
\code{\link{matrix_to_array_c}()},
\code{\link{split_labeled_unlabeled}()},
\code{\link{summarize_tracked_sustainability}()}
}
\concept{Auxiliary Functions}
