% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aux_gui.R
\name{update_aifeducation_progress_bar_epochs}
\alias{update_aifeducation_progress_bar_epochs}
\title{Update epoch progress bar in aifeducation shiny app.}
\usage{
update_aifeducation_progress_bar_epochs(value, total, title = NULL)
}
\arguments{
\item{value}{\code{int} Value describing the current step of the process.}

\item{total}{\code{int} Total number of steps of the process.}

\item{title}{\code{string} Title displaying in the top of the progress bar.}
}
\value{
Function does nothing returns. It updates the progress bar with the id
\code{"pgr_bar_aifeducation_epochs"}.
}
\description{
This function updates the epoch progress bar in aifeducation shiny app. The
progress bar reports the current state of the overall process.
}
\details{
This function is called very often during training a model. Thus, the
function does not check the requirements for updating the progress bar to reduce
computational time. The check for fulfilling the necessary conditions must be
implemented separately.
}
\seealso{
Other Auxiliary GUI Functions: 
\code{\link{update_aifeducation_progress_bar}()},
\code{\link{update_aifeducation_progress_bar_steps}()}
}
\concept{Auxiliary GUI Functions}
